[neon/infrastructure/pangea-data] imager/config-hooks-neon: hopefully that will get us closer to deb822
Carlos De Maine
null at kde.org
Fri Aug 16 03:46:11 BST 2024
Git commit e2a9ef6afba3078aa5de935eb94a7a3ca152d6ca by Carlos De Maine.
Committed on 10/08/2024 at 13:59.
Pushed by carlosdem into branch 'master'.
hopefully that will get us closer to deb822
M +13 -9 imager/config-hooks-neon/repo.sh
https://invent.kde.org/neon/infrastructure/pangea-data/-/commit/e2a9ef6afba3078aa5de935eb94a7a3ca152d6ca
diff --git a/imager/config-hooks-neon/repo.sh b/imager/config-hooks-neon/repo.sh
index 960e10a..bb6e07e 100644
--- a/imager/config-hooks-neon/repo.sh
+++ b/imager/config-hooks-neon/repo.sh
@@ -10,7 +10,7 @@ apt install -y dirmngr gnupg1
ARGS="--batch --verbose"
GPG="gpg1"
-apt-key export '444D ABCF 3667 D028 3F89 4EDD E6D4 7362 5575 1E5D' | $GPG \
+apt-key export '444D ABCF 3667 D028 3F89 4EDD E6D4 7362 5575 1E5D' | $GPG \
$ARGS \
--no-default-keyring \
--primary-keyring config/archives/ubuntu-defaults.key \
@@ -24,12 +24,17 @@ apt-key export '444D ABCF 3667 D028 3F89 4EDD E6D4 7362 5575 1E5D' | $GPG \
else
-apt install -y curl
-curl -sS https://archive.neon.kde.org/public.key | gpg --dearmor | sudo tee /etc/apt/keyrings/neon-archive-keyring-pubkey.gpg
+ # cp our non-armoured (binary) public key to where it needs to be
+ cp /usr/share/keyrings/neon-archive-keyring.gpg config/archives/ubuntu-defaults.key
-echo "# KDE neon sources have moved to /etc/apt/sources.list.d/neon.sources" >> config/archives/neon.list
+ # make sure _apt can read this file. it may get copied into the chroot
+ chmod 644 config/archives/ubuntu-defaults.key || true<
+
+ # add a nice depreciation message
+ echo "# KDE neon sources have moved to /etc/apt/sources.list.d/neon.sources" >> config/archives/neon.list
-cat > config/archives/neon.sources << EOF
+ # add or spiffy new deb822 .sources config
+ cat > config/archives/neon.sources << EOF
X-Repolib-Name: KDE neon $SUITE ${NEONARCHIVE}
Types: deb deb-src
URIs: http://archive.neon.kde.org/${NEONARCHIVE}
@@ -39,8 +44,7 @@ Architectures: $ARCH
Signed-By: /etc/apt/keyrings/neon-archive-keyring-pubkey.gpg
EOF
-cat config/archives/neon.sources
-apt update
-fi
-
+ # check our config worked
+ cat config/archives/neon.sources
+fi
More information about the Neon-commits
mailing list